Page MenuHomePhabricator

Migrate fermium to Buster
Closed, ResolvedPublic

Description

fermium, the server running mailman is currently running jessie. There's the wider question wrt Mailman 3, but even if that doesn't happen yet, Mailman 2.1 continues to be available in Stretch and Buster, so the updates of the OS and Mailman version would not need to be coupled.

Event Timeline

ArielGlenn triaged this task as Medium priority.Jun 11 2019, 7:52 AM
MoritzMuehlenhoff renamed this task from Migrate fermium to stretch/buster to Migrate fermium to Buster.Jan 7 2020, 9:33 AM

Change 573373 had a related patch set uploaded (by Herron; owner: Herron):
[operations/dns@master] add forward/reverse ipv4/ipv6 records for lists1001 VM

https://gerrit.wikimedia.org/r/573373

Change 573373 merged by Herron:
[operations/dns@master] add forward/reverse ipv4/ipv6 records for lists1001 VM

https://gerrit.wikimedia.org/r/573373

Change 573600 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] add dhcp/netboot entries for lists1001

https://gerrit.wikimedia.org/r/573600

Change 573612 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] assigin lists1001 role::lists

https://gerrit.wikimedia.org/r/573612

Change 573600 merged by Herron:
[operations/puppet@production] add dhcp/netboot entries for lists1001

https://gerrit.wikimedia.org/r/573600

Change 573612 merged by Herron:
[operations/puppet@production] assigin lists1001 role::lists

https://gerrit.wikimedia.org/r/573612

Change 573659 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] add lists1001 to authorized hosts for lists cert

https://gerrit.wikimedia.org/r/573659

Change 573659 merged by Herron:
[operations/puppet@production] acme_cheif: add lists1001 to authorized hosts for lists cert

https://gerrit.wikimedia.org/r/573659

Change 573711 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] hieradata: move lists interface alias definitions to host yaml

https://gerrit.wikimedia.org/r/573711

Change 573717 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] mailman: ensure apache mod cgi is enabled

https://gerrit.wikimedia.org/r/573717

Change 573732 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] role::lists ensure apache mod_cgi enabled

https://gerrit.wikimedia.org/r/573732

Change 573717 abandoned by Herron:
mailman: ensure apache mod cgi is enabled

Reason:
abandoning in favor of If614d9c975620286d9eec4832cfaf04e9384fd90

https://gerrit.wikimedia.org/r/573717

Change 573711 merged by Herron:
[operations/puppet@production] hieradata: move lists interface alias definitions to host yaml

https://gerrit.wikimedia.org/r/573711

Change 573732 merged by Herron:
[operations/puppet@production] role::lists ensure apache mod_cgi enabled

https://gerrit.wikimedia.org/r/573732

Change 576362 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] lists: don't assume lists IP is an interface::alias

https://gerrit.wikimedia.org/r/576362

Change 576362 merged by Herron:
[operations/puppet@production] lists: don't assume lists IP is an interface::alias

https://gerrit.wikimedia.org/r/576362

Change 607612 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] lists: copy incoming mail to standby server

https://gerrit.wikimedia.org/r/607612

Change 619354 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] lists: make lists1001 primary mailman host

https://gerrit.wikimedia.org/r/619354

Change 619355 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] lists: stop automatically sycing fermium to lists1001

https://gerrit.wikimedia.org/r/619355

Change 619355 merged by Herron:
[operations/puppet@production] lists: stop automatically sycing fermium to lists1001

https://gerrit.wikimedia.org/r/619355

Mentioned in SAL (#wikimedia-operations) [2020-08-11T16:12:21Z] <herron> migrating lists.wikimedia.org services from fermium to lists1001 T224586

Change 619354 merged by Herron:
[operations/puppet@production] lists: make lists1001 primary mailman host

https://gerrit.wikimedia.org/r/619354

Change 619498 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] lists: lists1001 enable notifications

https://gerrit.wikimedia.org/r/619498

Change 619498 merged by Herron:
[operations/puppet@production] lists: lists1001 enable notifications

https://gerrit.wikimedia.org/r/619498

herron closed this task as Resolved.Aug 11 2020, 5:01 PM
herron claimed this task.
herron added a subscriber: herron.

lists.wikimedia.org is now running from the buster host lists1001.wikimedia.org.

Fermium (the old lists host) has been shut down (via gnt-instance shutdown) and removed from puppet (remoted cert and from puppetdb). I'll leave the VM data itself alone for now, just in case.

Transitioning this to resolved, but please don't hesitate to re-open if any issue are observed.

Change 619507 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] lists: remove fermium entry from site.pp

https://gerrit.wikimedia.org/r/619507

Change 619507 merged by Herron:
[operations/puppet@production] lists: remove fermium entry from site.pp

https://gerrit.wikimedia.org/r/619507

Change 619585 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] mailman: replace fermium with lists1001 in rsync scripts

https://gerrit.wikimedia.org/r/619585

Change 619586 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] remove fermium from DHCP,partman and acme_chief

https://gerrit.wikimedia.org/r/619586

Change 619773 had a related patch set uploaded (by Cwhite; owner: Cwhite):
[operations/puppet@production] hiera: update mtail run as group

https://gerrit.wikimedia.org/r/619773

Change 619773 abandoned by Cwhite:
[operations/puppet@production] hiera: update mtail run as group

Reason:

https://gerrit.wikimedia.org/r/619773

Change 619777 had a related patch set uploaded (by Cwhite; owner: Cwhite):
[operations/puppet@production] profile: add mtail user to list group

https://gerrit.wikimedia.org/r/619777

Change 619777 merged by Cwhite:
[operations/puppet@production] profile: add mtail user to list group

https://gerrit.wikimedia.org/r/619777

Change 619585 merged by Dzahn:
[operations/puppet@production] mailman: replace fermium with lists1001 in rsync scripts

https://gerrit.wikimedia.org/r/619585

Change 619586 merged by Dzahn:
[operations/puppet@production] remove fermium from DHCP,partman and acme_chief

https://gerrit.wikimedia.org/r/619586

Change 620096 had a related patch set uploaded (by Herron; owner: Herron):
[operations/dns@master] dns: remove fermium records

https://gerrit.wikimedia.org/r/620096

Change 620096 merged by Herron:
[operations/dns@master] dns: remove fermium records

https://gerrit.wikimedia.org/r/620096

Change 607612 abandoned by Herron:
[operations/puppet@production] lists: copy incoming mail to standby server

Reason:
cutover done, this is not needed

https://gerrit.wikimedia.org/r/607612